Minecraft Server CB / Spigot Multi-Version Kompatibilität

Also, das ist nicht unbedingt ein Problem aber, aber eher wie eine I-NEED-HELP Situation. Also mein Server läuft derzeit Spigot 1.7.2-1.7.5 und ich frage mich, ob es einen Weg, um meine Server mit mehreren Versionen von Minecraft kompatibel sein. Zum Beispiel bin ich mit CB 1.6.4 und andere auf relativ neue Version Clients können beitreten. Ich bin mir nicht sicher, wie ich das machen sollte. Ich habe viele Foren überprüft, sie helfen nicht. Ich benutze auch BungeeCord, wenn dies möglich ist, um es zu laufen Multiple-Version-Kompatibilität.

Auch habe ich auf die folgenden Server verwiesen, weil sie mehrere Versionen ausführen können, nur mit dem Befehl /version überprüfen:

Mineplex: us.mineplex.com Hive: play.hivemc.com Und auch andere.

Ich glaube, CB-Schnappschuss wird implementiert, aber das löst die Frage noch nicht. Bitte sag mir nicht, ich brauche ein Plugin, um den Snapshot CB zu implementieren. Wenn es keinen anderen Weg gibt, sag mir die Wege.

  • Warum funktioniert mein Minecraft LAN Server nicht?
  • Wie kann ich Minecraft in das Denken zwei Computer sind auf dem gleichen Wifi-Netzwerk?
  • Wie kann ich den Bereich einschränken, in dem die Spieler auftauchen?
  • Können zwei Benutzer auf einem Minecraft Server mit dem gleichen Account spielen?
  • Wie beherbergt man ein Mehrspieler-Überlebensspiel in Minecraft?
  • Sperrmodus zum Utility in NEI config?
  • 2 Solutions collect form web for “Minecraft Server CB / Spigot Multi-Version Kompatibilität”

    Soweit ich weiß, gibt es keine -> easy <- Weg, um einen mehrfachen Versions-Server zu bekommen. Ich weiß, es wäre möglich, aber das große Problem ist Version / Paket-Protokoll. Sie können keinen einzigen Server haben, der mehrere Versionen erlaubt, da Sie entweder Clientprobleme für Clients verursachen würden, die älter als der Server sind (Probleme, die fehlende Blöcke, Biomes, Mobs und dergleichen bedeuten) oder der Server nicht in der Lage wäre, zu handhaben Einige der neueren Features von Minecraft im Einsatz von neueren Kunden (neue Blöcke konnten nicht platziert werden, neue Mobs würden nicht spawn, neue Biome würden nicht generieren).

    Wenn Sie einen Multi-Versions-Server haben möchten, benötigen Sie wahrscheinlich einen Hub, der die Client-Version erkennt und dann die richtigen Protokolle für eine erfolgreiche Verbindung auswählt. Dieser Hub müsste dann Spieler auf einen anderen Server umleiten, der mit ihrer Versionsinformation übereinstimmt (oder zumindest kompatibel ist). Aber wie für einen einzigen Server, der volle Funktionalität für alle Versionen erlaubt, müssten Sie im Wesentlichen das Spiel umschreiben.

    Ich spiele auf dem Buildfreeks Server. Sie erlauben mehrere Versionen zu verbinden und du bekommst die gleichen Plots mit all den gleichen Sachen auf sie egal, welche Version Sie laufen. Auch können Sie sehen und interagieren mit anderen Spielern mit anderen Versionen alle auf dem gleichen Server.